PipeWire 1.4.10

Loading...
Searching...
No Matches
spa_result_node_params Struct Reference
SPA » Node

the result of enum_params or port_enum_params. More...

`#include <spa/node/node.h>`

## Data Fields
uint32_t | id
| id of parameter
uint32_t | index
| index of parameter
uint32_t | next
| next index of iteration
struct spa_pod * | param
| the result param

## Detailed Description

the result of enum_params or port_enum_params.

Examples
  export-sink.c, and export-source.c.

## Field Documentation

## ◆ id

uint32_t spa_result_node_params::id

id of parameter

Examples
  export-sink.c, and export-source.c.

## ◆ index

uint32_t spa_result_node_params::index

index of parameter

## ◆ next

uint32_t spa_result_node_params::next

next index of iteration

Examples
  export-sink.c, and export-source.c.

## ◆ param

struct spa_pod* spa_result_node_params::param

the result param

The documentation for this struct was generated from the following file:

- spa/node/node.h